### 7DPQTN2 specific settings
# vim: ft=i3
set $intern "Unknown 0x633D 0x00000000"
set $extern "Goldstar Company Ltd 38GN950 008NTLEFY912"

### Output configuration
output $intern position 0 0
output $extern position 1920 0 mode 3840x1600

bindswitch --reload --locked lid:on output $intern disable
bindswitch --reload --locked lid:off output $intern enable

### Input configuration
input "1160:4618:DELL09BE:00_0488:120A_Touchpad" {
  click_method clickfinger
  dwt enabled               # disable while typing
  # drag enabled
  # drag_lock enabled
  scroll_method two_finger
  tap enabled
  tap_button_map lrm
  natural_scroll enabled
  middle_emulation enabled
}

input "1:1:AT_Translated_Set_2_keyboard" {
  xkb_layout "eu"
  xkb_options "xk5:vim,xk5:fn"
}
